package models

import (
	"git.apinb.com/bsm-sdk/core/types"
)

// GroupMember 群成员
type GroupMember struct {
	types.Std_IICUDS
	types.Std_Passport
	GroupID       uint   `gorm:"group_id;not null;" json:"group_id"`
	GroupIdentity string `gorm:"column:group_identity;type:varchar(36);not null;" json:"group_identity"` //group_identity
	RemarkName    string `gorm:"column:remark_name;type:varchar(255);default:'';" json:"remark_name"`    //昵称备注
	Role          int32  `gorm:"role;type:smallint;default:0" json:"role"`                               //0:普通成员，1：管理员，2：超管，10：创建者
}

// TableName .
func (gm *GroupMember) TableName() string {
	return "relation_group_member"
}
